Bug 45667 - [New Web Stack] Send Http Put request to server redirect URL, I got error “This request requires buffering of data to succeed”.
Summary: [New Web Stack] Send Http Put request to server redirect URL, I got error “Th...
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Net.Http (show other bugs)
Version: 4.4.2 (C7SR1)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Brendan Zagaeski (Xamarin Team, assistant)
URL:
Depends on:
Blocks:
 
Reported: 2016-10-18 20:08 UTC by lzhi
Modified: 2018-03-13 12:28 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description lzhi 2016-10-18 20:08:00 UTC
When I send Http Put request to server redirect URL, I got error “This request requires buffering of data to succeed”.
Http Get with redirect works well and Put request to server without redirect works well
 
I have two test app here:
Server Test App:  https://github.com/zhili1208/MockServerOnMono/blob/master/MockServer/Program.cs#L15-L22
Push Client Test App: https://github.com/zhili1208/monoPushIssue/tree/master/MacPushTestApp
Comment 1 Marek Safar 2016-10-19 21:36:53 UTC
Could you also include command line arguments you are using for MacPushTestApp
Comment 2 lzhi 2016-10-19 22:13:06 UTC
you can remove apikey part, no need that here

So set here https://github.com/zhili1208/monoPushIssue/blob/master/MacPushTestApp/Program.cs#L16-L18 like this 

remove apikey
PathToPath = [some local nupkg path] like "/Users/username/Downloads/test.nupkg"
Source = "http://localhost:50231/redirect"
Comment 3 lzhi 2017-11-09 18:26:29 UTC
Ping... Does anyone look at this?
Comment 4 Marek Safar 2017-11-20 22:45:58 UTC
Brendan,

Could you try to reproduce this?
Comment 5 Martin Baulig 2017-12-11 20:38:20 UTC
I recently fixed this while working on the new web stack.
Comment 6 Martin Baulig 2017-12-11 20:40:39 UTC
We now have tests for this:
https://github.com/xamarin/web-tests/blob/master/Xamarin.WebTests.Framework/Xamarin.WebTests.TestRunners/HttpClientTestRunner.cs - see

	(HttpClientTestType.PutRedirect, HttpClientTestFlags.NewWebStack),

@Marek / @Brendan:
Yes, I can reproduce this.
Comment 7 Marek Safar 2018-03-13 12:28:29 UTC
Closing based on latest comments